Summary:        Comic book viewer
Name:           mcomix
Version:        2.1.1
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphics/Viewers
URL:            https://sourceforge.net/p/mcomix/wiki/Home/
Source0:        https://downloads.sourceforge.net/mcomix/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  desktop-file-utils

Recommends:     unrar

%description
MComix is a user-friendly, customizable image viewer.
It is specifically designed to handle comic books
(both Western comics and manga) and supports a variety
of container formats (including CBR, CBZ, CB7, CBT, LHA
and PDF). MComix is a fork of Comix.

%prep
%setup -q

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mcomix

desktop-file-install --vendor='' \
	--dir %buildroot%_datadir/applications \
	--remove-category='Application' \
	--add-category='GNOME;GTK' \
	%buildroot%_datadir/applications/*.desktop

%files -f %{pyproject_files}
%doc ChangeLog README
%license COPYING
%{_bindir}/mcomix
%{_datadir}/appdata/mcomix.appdata.xml
%{_datadir}/applications/mcomix.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/mime/packages/mcomix.xml
%{_mandir}/man1/mcomix.1*


%changelog
* Wed May 31 2023 daviddavid <daviddavid> 2.1.1-1.mga9
+ Revision: 1960143
- new version: 2.1.1 (now ported to python3 mga#14105#c4)
- revive mcomix

* Wed Sep 19 2018 umeabot <umeabot> 1.2.1-2.mga7
+ Revision: 1264212
- Mageia 7 Mass Rebuild

* Sat Mar 12 2016 shlomif <shlomif> 1.2.1-1.mga6
+ Revision: 989609
- New version 1.2.1

* Thu Feb 18 2016 umeabot <umeabot> 1.01-2.mga6
+ Revision: 965626
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 shlomif <shlomif> 1.01-1.mga6
+ Revision: 836439
- New version 1.01

* Wed Oct 15 2014 umeabot <umeabot> 1.00-2.mga5
+ Revision: 739104
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 shlomif <shlomif> 1.00-1.mga5
+ Revision: 733885
- Importing mcomix based on comix from MGA-repo

